<Alte::Card @loading={{@loading}} @type="warning" as |card|>
  <card.header @title="Evenements" @titleIcon="exchange-alt" />

  <card.content>
    <Alte::Card::Body class="table-responsive p-0">
      <table class="table table-head-fixed text-nowrap">
        <tbody>
          {{#each @events as |event|}}
            <Crypto::Events::Detail
              @deleting={{this.delete.isRunning}}
              @event={{event}}
              @onDelete={{fn (perform this.delete event)}}
            />
          {{/each}}
        </tbody>
      </table>
    </Alte::Card::Body>
  </card.content>

  <Alte::Card::Footer>
    <BsButton @defaultText="Ajouter" @onClick={{@onAdd}} @type="primary" class="float-left" />
  </Alte::Card::Footer>
</Alte::Card>